Bug 11289

Summary: [FR][4.x] multi-disk autosetup
Product: [Development] Sisyphus Reporter: Michael Shigorin <mike@altlinux.org>
Component: alterator-vmAssignee: Sergey Bolshakov <sbolshakov@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: enhancement    
Priority: P2 CC: bga@altlinux.org, ktirf@altlinux.org, ldv@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2007-03-31 16:00:13
Для выбранного устройства (e.g. hda) доступна кнопка "создать раздел", при её
нажатии получается диалог со скролбарами, частичным переводом и не совсем
ожидаемым поведением при нескольких доступных дисках: можно выделить
hda_freespace1 и hdb_freespace1, но раздел будет фактически создан только на
первом -- а жаль, для RAID было бы крайне удобно сразу итерировать.

В смысле если не стоя на <unused1>, а на самом hda или hdb делать.
Steps to Reproduce:
1. загрузиться при двух+ HDD
2. очистить их
3. выделив любой диск, а не свободное пространство на нём, создать раздел
Actual Results:  
раздел будет создан на первом из дисков вне зависимости от того, какой был
выбран:  hda, hdb -- всё равно получится hdaN+1

Expected Results:  
на каждом из выбранных freespace будет создано по разделу указанного размера
(который в идеале стоит изначально выставлять в минимальное из выбранных
freespace значений)
------- Comment #1 From 2007-03-31 16:47:12 -------
то, что при выделенном диске предлагается выбирать в том числе и из freespace
на другом диске -- это баг.
Что касаемо предлагаемого способа создавать рэйды --
вряд ли это реализуемо в этом alterator-vm.
------- Comment #2 From 2007-12-22 17:03:12 -------
Хорошо, тогда давай перепрофилируем эту багу на вариант "если blonde видит два
одинаковых по размеру диска -- то профиль наматывается на зеркала, а не просто
разделы"?

Это нужно и для Server, и для SOHO, и для Terminal (вообще и школьного в
частности).

Понятно, что случай частный, но крайне распространённый.
------- Comment #3 From 2007-12-29 05:22:04 -------
Баг актуален для OfficeServer/Кольчуги. А я, склеротик, отговаривался, что это
мол у вас модель RAID-контроллера кривая...
------- Comment #4 From 2008-02-16 14:24:12 -------
Повесил отдельно для "80%-го случая" #14487; это две разные баги.
------- Comment #5 From 2008-03-20 16:17:40 -------
'при выделенном диске предлагается выбирать в том числе и из freespace
на другом диске' -- fixed in 0.3-alt13
остальное воспоследует в #141487
------- Comment #6 From 2008-03-20 18:55:57 -------
(In reply to comment #5)
> 'при выделенном диске предлагается выбирать в том числе и из freespace
> на другом диске' -- fixed in 0.3-alt13
И впрямь.

> остальное воспоследует в #141487
Надеюсь, всё-таки в XV тысячеблошии :)